org.apache.calcite.avatica.proto

## Class Common.ColumnMetaData

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.apache.calcite.avatica.proto.Common.ColumnMetaData

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, Common.ColumnMetaDataOrBuilder

Enclosing class:
  Common

    public static final class Common.ColumnMetaData
    extends com.google.protobuf.GeneratedMessageV3
    implements Common.ColumnMetaDataOrBuilder

Protobuf type `ColumnMetaData`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `Common.ColumnMetaData.Builder` Protobuf type `ColumnMetaData`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

### Field Summary

Fields
`static int` `AUTO_INCREMENT_FIELD_NUMBER`
`private boolean` `autoIncrement_`
`static int` `CASE_SENSITIVE_FIELD_NUMBER`
`private boolean` `caseSensitive_`
`static int` `CATALOG_NAME_FIELD_NUMBER`
`private Object` `catalogName_`
`static int` `COLUMN_CLASS_NAME_FIELD_NUMBER`
`static int` `COLUMN_NAME_FIELD_NUMBER`
`private Object` `columnClassName_`
`private Object` `columnName_`
`private boolean` `currency_`
`static int` `CURRENCY_FIELD_NUMBER`
`private static Common.ColumnMetaData` `DEFAULT_INSTANCE`
`static int` `DEFINITELY_WRITABLE_FIELD_NUMBER`
`private boolean` `definitelyWritable_`
`static int` `DISPLAY_SIZE_FIELD_NUMBER`
`private int` `displaySize_`
`private Object` `label_`
`static int` `LABEL_FIELD_NUMBER`
`private byte` `memoizedIsInitialized`
`private int` `nullable_`
`static int` `NULLABLE_FIELD_NUMBER`
`private int` `ordinal_`
`static int` `ORDINAL_FIELD_NUMBER`
`private static com.google.protobuf.Parser<Common.ColumnMetaData>` `PARSER`
`private int` `precision_`
`static int` `PRECISION_FIELD_NUMBER`
`static int` `READ_ONLY_FIELD_NUMBER`
`private boolean` `readOnly_`
`private int` `scale_`
`static int` `SCALE_FIELD_NUMBER`
`static int` `SCHEMA_NAME_FIELD_NUMBER`
`private Object` `schemaName_`
`private boolean` `searchable_`
`static int` `SEARCHABLE_FIELD_NUMBER`
`private static long` `serialVersionUID`
`private boolean` `signed_`
`static int` `SIGNED_FIELD_NUMBER`
`static int` `TABLE_NAME_FIELD_NUMBER`
`private Object` `tableName_`
`private Common.AvaticaType` `type_`
`static int` `TYPE_FIELD_NUMBER`
`private boolean` `writable_`
`static int` `WRITABLE_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Constructor Summary

Constructors
`private` `ColumnMetaData()`
`private` `ColumnMetaData(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`private` `ColumnMetaData(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`boolean` `getAutoIncrement()` `optional bool auto_increment = 2;`
`boolean` `getCaseSensitive()` `optional bool case_sensitive = 3;`
`String` `getCatalogName()` `optional string catalog_name = 15;`
`com.google.protobuf.ByteString` `getCatalogNameBytes()` `optional string catalog_name = 15;`
`String` `getColumnClassName()` `optional string column_class_name = 19;`
`com.google.protobuf.ByteString` `getColumnClassNameBytes()` `optional string column_class_name = 19;`
`String` `getColumnName()` `optional string column_name = 10;`
`com.google.protobuf.ByteString` `getColumnNameBytes()` `optional string column_name = 10;`
`boolean` `getCurrency()` `optional bool currency = 5;`
`static Common.ColumnMetaData` `getDefaultInstance()`
`Common.ColumnMetaData` `getDefaultInstanceForType()`
`boolean` `getDefinitelyWritable()` `optional bool definitely_writable = 18;`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`int` `getDisplaySize()` `optional uint32 display_size = 8;`
`String` `getLabel()` `optional string label = 9;`
`com.google.protobuf.ByteString` `getLabelBytes()` `optional string label = 9;`
`int` `getNullable()` `optional uint32 nullable = 6;`
`int` `getOrdinal()` `optional uint32 ordinal = 1;`
`com.google.protobuf.Parser<Common.ColumnMetaData>` `getParserForType()`
`int` `getPrecision()` `optional uint32 precision = 12;`
`boolean` `getReadOnly()` `optional bool read_only = 16;`
`int` `getScale()` `optional uint32 scale = 13;`
`String` `getSchemaName()` `optional string schema_name = 11;`
`com.google.protobuf.ByteString` `getSchemaNameBytes()` `optional string schema_name = 11;`
`boolean` `getSearchable()` `optional bool searchable = 4;`
`int` `getSerializedSize()`
`boolean` `getSigned()` `optional bool signed = 7;`
`String` `getTableName()` `optional string table_name = 14;`
`com.google.protobuf.ByteString` `getTableNameBytes()` `optional string table_name = 14;`
`Common.AvaticaType` `getType()` `optional .AvaticaType type = 20;`
`Common.AvaticaTypeOrBuilder` `getTypeOrBuilder()` `optional .AvaticaType type = 20;`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`boolean` `getWritable()` `optional bool writable = 17;`
`int` `hashCode()`
`boolean` `hasType()` `optional .AvaticaType type = 20;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static Common.ColumnMetaData.Builder` `newBuilder()`
`static Common.ColumnMetaData.Builder` `newBuilder(Common.ColumnMetaData prototype)`
`Common.ColumnMetaData.Builder` `newBuilderForType()`
`protected Common.ColumnMetaData.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`static Common.ColumnMetaData` `parseDelimitedFrom(InputStream input)`
`static Common.ColumnMetaData` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ColumnMetaData` `parseFrom(byte[] data)`
`static Common.ColumnMetaData` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ColumnMetaData` `parseFrom(com.google.protobuf.ByteString data)`
`static Common.ColumnMetaData` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ColumnMetaData` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static Common.ColumnMetaData` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static Common.ColumnMetaData` `parseFrom(InputStream input)`
`static Common.ColumnMetaData` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<Common.ColumnMetaData>` `parser()`
`Common.ColumnMetaData.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### ORDINAL_FIELD_NUMBER

    public static final int ORDINAL_FIELD_NUMBER

See Also:
  Constant Field Values

#### ordinal_

    private int ordinal_

#### AUTO_INCREMENT_FIELD_NUMBER

    public static final int AUTO_INCREMENT_FIELD_NUMBER

See Also:
  Constant Field Values

#### autoIncrement_

    private boolean autoIncrement_

#### CASE_SENSITIVE_FIELD_NUMBER

    public static final int CASE_SENSITIVE_FIELD_NUMBER

See Also:
  Constant Field Values

#### caseSensitive_

    private boolean caseSensitive_

#### SEARCHABLE_FIELD_NUMBER

    public static final int SEARCHABLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### searchable_

    private boolean searchable_

#### CURRENCY_FIELD_NUMBER

    public static final int CURRENCY_FIELD_NUMBER

See Also:
  Constant Field Values

#### currency_

    private boolean currency_

#### NULLABLE_FIELD_NUMBER

    public static final int NULLABLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### nullable_

    private int nullable_

#### SIGNED_FIELD_NUMBER

    public static final int SIGNED_FIELD_NUMBER

See Also:
  Constant Field Values

#### signed_

    private boolean signed_

#### DISPLAY_SIZE_FIELD_NUMBER

    public static final int DISPLAY_SIZE_FIELD_NUMBER

See Also:
  Constant Field Values

#### displaySize_

    private int displaySize_

#### LABEL_FIELD_NUMBER

    public static final int LABEL_FIELD_NUMBER

See Also:
  Constant Field Values

#### label_

    private volatile Object label_

#### COLUMN_NAME_FIELD_NUMBER

    public static final int COLUMN_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### columnName_

    private volatile Object columnName_

#### SCHEMA_NAME_FIELD_NUMBER

    public static final int SCHEMA_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### schemaName_

    private volatile Object schemaName_

#### PRECISION_FIELD_NUMBER

    public static final int PRECISION_FIELD_NUMBER

See Also:
  Constant Field Values

#### precision_

    private int precision_

#### SCALE_FIELD_NUMBER

    public static final int SCALE_FIELD_NUMBER

See Also:
  Constant Field Values

#### scale_

    private int scale_

#### TABLE_NAME_FIELD_NUMBER

    public static final int TABLE_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### tableName_

    private volatile Object tableName_

#### CATALOG_NAME_FIELD_NUMBER

    public static final int CATALOG_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### catalogName_

    private volatile Object catalogName_

#### READ_ONLY_FIELD_NUMBER

    public static final int READ_ONLY_FIELD_NUMBER

See Also:
  Constant Field Values

#### readOnly_

    private boolean readOnly_

#### WRITABLE_FIELD_NUMBER

    public static final int WRITABLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### writable_

    private boolean writable_

#### DEFINITELY_WRITABLE_FIELD_NUMBER

    public static final int DEFINITELY_WRITABLE_FIELD_NUMBER

See Also:
  Constant Field Values

#### definitelyWritable_

    private boolean definitelyWritable_

#### COLUMN_CLASS_NAME_FIELD_NUMBER

    public static final int COLUMN_CLASS_NAME_FIELD_NUMBER

See Also:
  Constant Field Values

#### columnClassName_

    private volatile Object columnClassName_

#### TYPE_FIELD_NUMBER

    public static final int TYPE_FIELD_NUMBER

See Also:
  Constant Field Values

#### type_

    private Common.AvaticaType type_

#### memoizedIsInitialized

    private byte memoizedIsInitialized

#### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

#### DEFAULT_INSTANCE

    private static final Common.ColumnMetaData DEFAULT_INSTANCE

#### PARSER

    private static final com.google.protobuf.Parser<Common.ColumnMetaData> PARSER

### Constructor Detail

#### ColumnMetaData

    private ColumnMetaData(com.google.protobuf.GeneratedMessageV3.Builder<?> builder)

#### ColumnMetaData

    private ColumnMetaData()

#### ColumnMetaData

    private ColumnMetaData(com.google.protobuf.CodedInputStream input,
                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                    throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### Method Detail

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getOrdinal

    public int getOrdinal()

`optional uint32 ordinal = 1;`

Specified by:
  `getOrdinal` in interface `Common.ColumnMetaDataOrBuilder`

#### getAutoIncrement

    public boolean getAutoIncrement()

`optional bool auto_increment = 2;`

Specified by:
  `getAutoIncrement` in interface `Common.ColumnMetaDataOrBuilder`

#### getCaseSensitive

    public boolean getCaseSensitive()

`optional bool case_sensitive = 3;`

Specified by:
  `getCaseSensitive` in interface `Common.ColumnMetaDataOrBuilder`

#### getSearchable

    public boolean getSearchable()

`optional bool searchable = 4;`

Specified by:
  `getSearchable` in interface `Common.ColumnMetaDataOrBuilder`

#### getCurrency

    public boolean getCurrency()

`optional bool currency = 5;`

Specified by:
  `getCurrency` in interface `Common.ColumnMetaDataOrBuilder`

#### getNullable

    public int getNullable()

`optional uint32 nullable = 6;`

Specified by:
  `getNullable` in interface `Common.ColumnMetaDataOrBuilder`

#### getSigned

    public boolean getSigned()

`optional bool signed = 7;`

Specified by:
  `getSigned` in interface `Common.ColumnMetaDataOrBuilder`

#### getDisplaySize

    public int getDisplaySize()

`optional uint32 display_size = 8;`

Specified by:
  `getDisplaySize` in interface `Common.ColumnMetaDataOrBuilder`

#### getLabel

    public String getLabel()

`optional string label = 9;`

Specified by:
  `getLabel` in interface `Common.ColumnMetaDataOrBuilder`

#### getLabelBytes

    public com.google.protobuf.ByteString getLabelBytes()

`optional string label = 9;`

Specified by:
  `getLabelBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### getColumnName

    public String getColumnName()

`optional string column_name = 10;`

Specified by:
  `getColumnName` in interface `Common.ColumnMetaDataOrBuilder`

#### getColumnNameBytes

    public com.google.protobuf.ByteString getColumnNameBytes()

`optional string column_name = 10;`

Specified by:
  `getColumnNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### getSchemaName

    public String getSchemaName()

`optional string schema_name = 11;`

Specified by:
  `getSchemaName` in interface `Common.ColumnMetaDataOrBuilder`

#### getSchemaNameBytes

    public com.google.protobuf.ByteString getSchemaNameBytes()

`optional string schema_name = 11;`

Specified by:
  `getSchemaNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### getPrecision

    public int getPrecision()

`optional uint32 precision = 12;`

Specified by:
  `getPrecision` in interface `Common.ColumnMetaDataOrBuilder`

#### getScale

    public int getScale()

`optional uint32 scale = 13;`

Specified by:
  `getScale` in interface `Common.ColumnMetaDataOrBuilder`

#### getTableName

    public String getTableName()

`optional string table_name = 14;`

Specified by:
  `getTableName` in interface `Common.ColumnMetaDataOrBuilder`

#### getTableNameBytes

    public com.google.protobuf.ByteString getTableNameBytes()

`optional string table_name = 14;`

Specified by:
  `getTableNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### getCatalogName

    public String getCatalogName()

`optional string catalog_name = 15;`

Specified by:
  `getCatalogName` in interface `Common.ColumnMetaDataOrBuilder`

#### getCatalogNameBytes

    public com.google.protobuf.ByteString getCatalogNameBytes()

`optional string catalog_name = 15;`

Specified by:
  `getCatalogNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### getReadOnly

    public boolean getReadOnly()

`optional bool read_only = 16;`

Specified by:
  `getReadOnly` in interface `Common.ColumnMetaDataOrBuilder`

#### getWritable

    public boolean getWritable()

`optional bool writable = 17;`

Specified by:
  `getWritable` in interface `Common.ColumnMetaDataOrBuilder`

#### getDefinitelyWritable

    public boolean getDefinitelyWritable()

`optional bool definitely_writable = 18;`

Specified by:
  `getDefinitelyWritable` in interface `Common.ColumnMetaDataOrBuilder`

#### getColumnClassName

    public String getColumnClassName()

`optional string column_class_name = 19;`

Specified by:
  `getColumnClassName` in interface `Common.ColumnMetaDataOrBuilder`

#### getColumnClassNameBytes

    public com.google.protobuf.ByteString getColumnClassNameBytes()

`optional string column_class_name = 19;`

Specified by:
  `getColumnClassNameBytes` in interface `Common.ColumnMetaDataOrBuilder`

#### hasType

    public boolean hasType()

`optional .AvaticaType type = 20;`

Specified by:
  `hasType` in interface `Common.ColumnMetaDataOrBuilder`

#### getType

    public Common.AvaticaType getType()

`optional .AvaticaType type = 20;`

Specified by:
  `getType` in interface `Common.ColumnMetaDataOrBuilder`

#### getTypeOrBuilder

    public Common.AvaticaTypeOrBuilder getTypeOrBuilder()

`optional .AvaticaType type = 20;`

Specified by:
  `getTypeOrBuilder` in interface `Common.ColumnMetaDataOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(com.google.protobuf.ByteString data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(com.google.protobuf.ByteString data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(byte[] data)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(byte[] data,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(InputStream input)
                                           throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(InputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.ColumnMetaData parseDelimitedFrom(InputStream input)
                                                    throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static Common.ColumnMetaData parseDelimitedFrom(InputStream input,
                                                           com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                    throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(com.google.protobuf.CodedInputStream input)
                                           throws IOException

Throws:
  `IOException`

#### parseFrom

    public static Common.ColumnMetaData parseFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public Common.ColumnMetaData.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static Common.ColumnMetaData.Builder newBuilder()

#### newBuilder

    public static Common.ColumnMetaData.Builder newBuilder(Common.ColumnMetaData prototype)

#### toBuilder

    public Common.ColumnMetaData.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected Common.ColumnMetaData.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static Common.ColumnMetaData getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<Common.ColumnMetaData> parser()

#### getParserForType

    public com.google.protobuf.Parser<Common.ColumnMetaData> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public Common.ColumnMetaData getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`